Subject: RE: [SIP] SIP feature services

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 10 Sep 2000 02:03:33 -0400

Hong wrote:
> > Different web browsers do not all display the same content 
> in exactly the
> > same way, but they the server still interoperates with all 
> of these browsers.
> >
> > Likewise SIP UAs don't have to act exactly the same way, as 
> long as the
> > right parties end up communicating.  That said, I think the 
> *example* call
> > flow work is extremely important, but I feel that the 
> examples plus the
> > bakeoff is sufficient guidance to yield interoperable product.
> 
> I agree, " the *example* call flow work is extremely 
> important" for the success
> of SIP and expect to have it ASAP, plus I hope it will have 
> some guideline of
> the systematic mechanism we can use for features not included 
> in example and
> features in the future.

This really depends on the type of feature. Many features are of the type
that the entity providing the feature is the only one that need know about
it; successful operation depends only on having the other entities operate
according to standard rfc2543 behavior. This kind of feature is exactly how
the web operates. It is our intention and hope to define into SIP and its
extensions very general purpose behavior, so that more features, rather than
less, can be defined in this way. In cases where that is not true (i.e.,
call hold), call flows are definitely important, and we have been doing that
in the various drafts.

-Jonathan R.

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip